[backfire] tools: update autoconf to v2.68